import { IEntity } from '@fly-vue/lcdp-api';
import { isValidVariable } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    entityId: null;
    entity: null;
}, {
    __sfc: boolean;
    props: {
        entityId: string;
        entity: IEntity;
    };
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    fieldsToCompare: string[];
    warning: import("vue").Ref<boolean>;
    list: import("vue").Ref<{
        changeType?: "new" | "update" | "delete" | undefined;
        name?: string | undefined;
        title?: string | undefined;
        description?: string | undefined;
        type?: import("@fly-vue/lcdp-api").FieldType | undefined;
        dataType?: import("@fly-vue/lcdp-api").FieldDataType | undefined;
        primaryKey?: boolean | undefined;
        nullable?: boolean | undefined;
        autoIncrement?: boolean | undefined;
        idGenerator?: string | undefined;
        length?: number | undefined;
        precision?: number | undefined;
        scale?: number | undefined;
        insertable?: boolean | undefined;
        updatable?: boolean | undefined;
        writable?: boolean | undefined;
        sortable?: boolean | undefined;
        filterable?: boolean | undefined;
        searchable?: boolean | undefined;
        dynamic?: boolean | undefined;
        defaultValue?: any;
        updateValue?: any;
        dict?: string | undefined;
        domain?: string | undefined;
        columnName?: string | undefined;
        columnDefault?: any;
        annotations?: Record<string, any> | undefined;
        order?: number | undefined;
        inputType?: import("@fly-vue/lcdp-api").FieldInputType | undefined;
    }[]>;
    selected: import("vue").Ref<Record<string, boolean>>;
    reload: () => Promise<void>;
    doCompare: (oldFieldsObj: Record<string, any>, dbFieldsObj: Record<string, any>) => void;
    save: () => Promise<void>;
    isValid: import("vue").ComputedRef<boolean>;
    columns: import("@fly-vue/ide-base").ITableColumn[];
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        fit: boolean;
        gutter: boolean;
        grow: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        middle: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        selectable: boolean;
        selected: boolean;
        overflowHidden: boolean;
    }>;
    Table: import("vue").DefineComponent<{
        columns: null;
        data: null;
        size: {
            default: string;
        };
        fixHeader: {
            type: BooleanConstructor;
        };
        showNoData: {
            type: BooleanConstructor;
        };
        noDataText: {
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            columns: ITableColumn[];
            data: any[];
            size: "small" | "default" | "large";
            fixHeader?: boolean | undefined;
            showNoData?: boolean | undefined;
            noDataText: string;
            loading?: boolean | undefined;
        };
        heightMap: Record<string, string>;
        rowHeight: import("vue").ComputedRef<string>;
        cellStyle: (c: ITableColumn) => {
            width: string | undefined;
            minWidth: string | undefined;
            justifyContent: undefined;
        };
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            fit: boolean;
            gutter: boolean;
            grow: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                middle: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                selectable: boolean;
                selected: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        columns: null;
        data: null;
        size: {
            default: string;
        };
        fixHeader: {
            type: BooleanConstructor;
        };
        showNoData: {
            type: BooleanConstructor;
        };
        noDataText: {
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
    }>>, {
        size: string;
        loading: boolean;
        fixHeader: boolean;
        showNoData: boolean;
        noDataText: string;
    }>;
    isValidVariable: typeof isValidVariable;
    LcLine: import("vue").DefineComponent<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }>>, {
        position: string;
    }>;
    FormBtns: import("vue").DefineComponent<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
        onCancel: () => void;
        onOk: () => void;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        padding: boolean;
        loading: boolean;
        disabled: boolean;
        okText: string;
        showCancel: boolean;
        cancelPosition: string;
    }>;
    IconBoolean: import("vue").DefineComponent<{
        value: {
            type: BooleanConstructor;
        };
        oldValue: {
            type: BooleanConstructor;
        };
        changeType: null;
    }, {
        __sfc: boolean;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            isSvgIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
            SvgIcon: import("vue").DefineComponent<{
                name: null;
                width: {
                    default: string;
                };
                height: {
                    default: string;
                };
            }, {
                __sfc: boolean;
                map: Record<string, any>;
                props: {
                    name: string;
                    width: string;
                    height: string;
                };
                src: import("vue").ComputedRef<any>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    fit: boolean;
                    gutter: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                name: null;
                width: {
                    default: string;
                };
                height: {
                    default: string;
                };
            }>>, {
                height: string;
                width: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: BooleanConstructor;
        };
        oldValue: {
            type: BooleanConstructor;
        };
        changeType: null;
    }>>, {
        value: boolean;
        oldValue: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    entityId: null;
    entity: null;
}>>, {}>;
export default _default;
